Subject: Re: [PATCH bpf-next v8 00/12] bpf: More sock_ops callbacks

From: Eric Dumazet <[email-masked]>
Date: Wed, 24 Jan 2018 08:58:09 -0800

On Wed, 2018-01-24 at 08:48 -0800, Alexei Starovoitov wrote:
> On 1/24/18 7:48 AM, Eric Dumazet wrote:
> > On Wed, 2018-01-24 at 07:27 -0800, Alexei Starovoitov wrote:
> > > 
> > > Most of the time, Yes, but it's the other way around this time.
> > > I specifically asked Larry to do it this way, since net tree is
> > > practically closed (only critical fixes allowed).
> > > When 4.15 is released on Sunday we'll send this patch
> > > independently to 4.15 and 4.14
> > > 
> > 
> > How hard would it be to put the fix first in the series then ?
> > If this proves complex, then maybe we have a bigger problem.
> 
> you mean to put patch 4 to be first in the series ?
> I don't think that matters. It applies fine as-is on net tree
> and builds without issues. I only need to double check that
> nothing else needed before adding it to stable queue.

Yes, this is exactly what we need.

We had a major issue with this bug, and we are lucky that we disabled
unpriv eBPF for other reasons.